org.jboss.jca.embedded.dsl.resourceadapters10.api

## Interface ExtensionType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ExtensionType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `extensionType` xsd type

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `ExtensionType<T>` | `removeConfig` Removes the `config-property` element

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionType<T>` | `className(java.lang.String className)` Sets the `class-name` attribute
    `java.lang.String` | `getClassName()` Returns the `class-name` attribute
    `ConfigPropertyType<ExtensionType<T>>` | `getOrCreateConfigProperty()` If not already created, a new `config-property` element with the given value will be created.
    `ExtensionType<T>` | `removeClassName()` Removes the `class-name` attribute
    `ExtensionType<T>` | `removeConfigProperty()` Removes the `config-property` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Property Detail

    - #### removeConfig

          ExtensionType<T> removeConfigProperty

      Removes the `config-property` element

  - ### Method Detail

    - #### getOrCreateConfigProperty

          ConfigPropertyType<ExtensionType<T>> getOrCreateConfigProperty()

      If not already created, a new `config-property` element with the given value will be created. Otherwise, the existing `config-property` element will be returned.
      Returns:
        a new or existing instance of `ConfigPropertyType>`

    - #### removeConfigProperty

          ExtensionType<T> removeConfigProperty()

      Removes the `config-property` element

    - #### className

          ExtensionType<T> className(java.lang.String className)

      Sets the `class-name` attribute
      Parameters:
        `className` - the value for the attribute `class-name`
      Returns:
        the current instance of `ExtensionType`

    - #### getClassName

          java.lang.String getClassName()

      Returns the `class-name` attribute
      Returns:
        the value defined for the attribute `class-name`

    - #### removeClassName

          ExtensionType<T> removeClassName()

      Removes the `class-name` attribute
      Returns:
        the current instance of `ExtensionType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)